Bug 46250 - Type.GetType with throwOnError true doesn't throw for a generic instance type with too few generic arguments
Summary: Type.GetType with throwOnError true doesn't throw for a generic instance type...
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: Reflection (show other bugs)
Version: master
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Aleksey Kliger
URL:
Depends on:
Blocks:
 
Reported: 2016-11-01 18:50 UTC by Josh Peterson
Modified: 2016-11-07 20:27 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Josh Peterson 2016-11-01 18:50:52 UTC

    
Comment 1 Josh Peterson 2016-11-01 18:53:03 UTC
Here is the test case for this bug:

class Program
{
	public static void Main()
	{
		try
		{
			Console.WriteLine(Type.GetType("System.Collections.Generic.Dictionary`2[System.String]", true));
		}
		catch (ArgumentException)
		{
			Console.WriteLine(".NET throws an ArgumentException exception.");
		}
	}
}
Comment 3 Josh Peterson 2016-11-07 20:27:10 UTC
Thanks!